classification
Title: Fix test discovery for test_dbm*.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: brett.cannon, ezio.melotti, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2013-01-30 17:57 by zach.ware, last changed 2013-03-01 09:26 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
test_dbm-s_discovery.diff zach.ware, 2013-01-30 17:57 test_dbm*.py fix, version 1 review
test_dbm-s_discovery.v2.diff zach.ware, 2013-02-27 21:53 Version 2 review
Messages (4)
msg180979 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-30 17:57
This patch fixes discovery for test_dbm.py and removes test_main() from test_dbm, test_dbm_dumb, test_dbm_gnu, and test_dbm_ndbm.

It also removes unnecessary __init__ methods from DumbDBMTestCase and WhichDBTestCase, which only called unittest.TestCase.__init__ with all supplied arguments.
msg183189 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-02-27 21:53
Version 2 removes an unnecessary import in test_dbm_gnu.py
msg183250 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-01 09:24
New changeset b62317fe1a22 by Ezio Melotti in branch '3.3':
#17082: test_dbm* now work with unittest test discovery.  Patch by Zachary Ware.
http://hg.python.org/cpython/rev/b62317fe1a22

New changeset e35c053cc4ec by Ezio Melotti in branch 'default':
#17082: merge with 3.3.
http://hg.python.org/cpython/rev/e35c053cc4ec
msg183251 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-01 09:26
Fixed, thanks for the patch!
There are still two "failures", but they will be addressed in #16935.
History
Date User Action Args
2013-03-01 09:26:17ezio.melottisetstatus: open -> closed
messages: + msg183251

assignee: ezio.melotti
resolution: fixed
stage: resolved
2013-03-01 09:24:59python-devsetnosy: + python-dev
messages: + msg183250
2013-02-27 21:53:42zach.waresetfiles: + test_dbm-s_discovery.v2.diff

messages: + msg183189
2013-01-30 17:57:57zach.warecreate